<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="getPointInSubwin" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
    <refnamediv>
      <refname>getPointInSubwin</refname>
      <refpurpose>waits for a user click in a sub window and returns the  point coordinates.</refpurpose>
    </refnamediv>
    <refsection>
      <title>Synopsis</title>
      <synopsis>[btn,pt] = getPointInSubwin(ax) </synopsis>
    </refsection>
    <refsection>
      <title>Arguments</title>
      <variablelist>
       
        <varlistentry>
          <term>ax</term>
         <listitem>
           <para>
             The handle on the specified sub window axes entity.
           </para>
         </listitem>
        </varlistentry>
        <varlistentry>
          <term>btn</term>
         <listitem>
           <para>
             The code of the pressed button (see <link linkend="scilab.help/xclick">xclick</link>).
           </para>
         </listitem>
        </varlistentry>
        <varlistentry>
          <term>pt</term>
         <listitem>
           <para>
             The coordinates of the clicked point (in user units)
           </para>
         </listitem>
        </varlistentry>
      
      </variablelist>
    </refsection>
    
    <refsection>
      <title>Description</title>
      <para>
         This function waits for a user click in a sub window and returns the  point coordinates and the button code.
      </para>
    </refsection>
</refentry>
